package yu_bitget

import (
	"fmt"
	"testing"
)

func TestV2(t *testing.T) {
	j_rest := NewV2Rest()
	defer j_rest.Close()
	// j_rest.SetProxy("http://11597193:49e79ewq16we@47.242.149.180:10657")
	j_rest.SetProxy("http://11597193:49e79ewq16we@103.20.220.81:10657")
	// j_rest.SetProxy("http://47.243.17.197:10005")
	// j_v5.SetProxy("socks5://sub.dwdwdw-country-us:RNW78Fm5@proxy.haiwaiip.cn:1462")
	// j_rest.SetProxy("http://sub.dwdwdw-country-us:RNW78Fm5@proxy.haiwaiip.cn:1462")
	fmt.Println(j_rest.SymbolPrice(USDT_FUTURES, "BTCUSDT"))
	fmt.Println(j_rest.HistoryCandles(HistoryCandlesArgs{
		Symbol:      "RAREUSDT",
		ProductType: USDT_FUTURES,
		Granularity: "1m",
	}))
}
